/* audiod.cmdline.h */

/* File autogenerated by gengetopt version 2.13.1  */

#ifndef AUDIOD_CMDLINE_H
#define AUDIOD_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "para_audiod"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "(paraslash 0.2.1, surreal experience)\nCopyright (c) 1997-2005 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct gengetopt_args_info
{
  char * user_arg;	/* run as user 'name'. Read the output of 'para_server -h' for a detailed information on this option..  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  int daemon_flag;	/* run as background daemon (default=off).  */
  int force_flag;	/* force startup even if socket exits (default=off).  */
  char * logfile_arg;	/* (default=stdout/stderr).  */
  char * mode_arg;	/* mode to use on startup (on/off/sb) (default='on').  */
  char * socket_arg;	/* well-known socket to listen on (default=/var/paraslash/audiod_sock.<host_name>).  */
  int* user_allow_arg;	/* allow this user to connect to para_audiod. May be specified multiple times. If not specified at all, allow all users to connect. (default='-1').  */
  char ** stream_read_cmd_arg;	/* Specify read-command. This can be given multiple times, one for each audio format. Default values are 'para_recv' for mp3 and 'para_recv --header' for ogg..  */
  char ** stream_write_cmd_arg;	/* Like stream_read_cmd, this option can be given multiple times. Default values are 'madplay -' for mp3 and 'ogg123 -' for ogg..  */
  int stream_timeout_arg;	/* Deactivate slot if idle for that many seconds (default='30').  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int user_given ;	/* Whether user was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int daemon_given ;	/* Whether daemon was given.  */
  int force_given ;	/* Whether force was given.  */
  int logfile_given ;	/* Whether logfile was given.  */
  int mode_given ;	/* Whether mode was given.  */
  int socket_given ;	/* Whether socket was given.  */
  unsigned int user_allow_given ;	/* Whether user_allow was given.  */
  unsigned int stream_read_cmd_given ;	/* Whether stream_read_cmd was given.  */
  unsigned int stream_write_cmd_given ;	/* Whether stream_write_cmd was given.  */
  int stream_timeout_given ;	/* Whether stream_timeout was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_configfile (char * const filename, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* AUDIOD_CMDLINE_H */
